com.pixelmed.display

## Class DicomImageBlackout.OverlaysChangeListener

- java.lang.Object
- - com.pixelmed.display.DicomImageBlackout.OverlaysChangeListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.ChangeListener

Enclosing class:
  DicomImageBlackout

    protected class DicomImageBlackout.OverlaysChangeListener
    extends java.lang.Object
    implements javax.swing.event.ChangeListener

### Constructor Summary

Constructors
Constructor and Description
`DicomImageBlackout.OverlaysChangeListener(DicomImageBlackout application, EventContext eventContext)`

### Method Summary

Methods
`void` `stateChanged(javax.swing.event.ChangeEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomImageBlackout.OverlaysChangeListener

    public DicomImageBlackout.OverlaysChangeListener(DicomImageBlackout application,
                                             EventContext eventContext)

### Method Detail

#### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

Specified by:
  `stateChanged` in interface `javax.swing.event.ChangeListener`